### Method

# ECal Component set_icalcomponent

since: 3.34

#### Declaration [src]

    gboolean
    e_cal_component_set_icalcomponent (
      ECalComponent* comp,
      ICalComponent* icalcomp
    )

#### Description [src]

Sets the contents of a calendar component object from an `ICalComponent`. If the `comp` already had an `ICalComponent` set into it, it will be freed automatically.

Supported component types are VEVENT, VTODO, VJOURNAL, VFREEBUSY, and VTIMEZONE.

Available since: 3.34

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if `icalcomp` is an unsupported component type.